/*****************************************************************************
 *   einttest.c:  main C entry file for NXP LPC17xx Family Microprocessors
 *
 *   Copyright(C) 2006, NXP Semiconductor
 *   All rights reserved.
 *
 *   History
 *   2006.07.13  ver 1.00    Prelimnary version, first Release
 *
 * Note:
 *  After power-up the controller get clock from internal RC oscillator that
 * is unstable and may fail with J-Link auto detect, therefore adaptive clocking
 * should always be used. The adaptive clock can be select from menu:
 *  Project->Options..., section Debugger->J-Link/J-Trace  JTAG Speed - Adaptive.
 *
 ******************************************************************************/
#include <nxp/iolpc1768.h>
#include "type.h"
#include "irq.h"
#include "target.h"
#include "extint.h"
#include "board.h"

/*****************************************************************************
**   Main Function  main()
******************************************************************************/
int main (void)
{
    TargetResetInit();

    LED1_FDIR = LED1_MASK;  /* LED1 port output */
    LED1_FSET = LED1_MASK;  /* turn off LED1 */

    /* initialize GPIO pins as external interrupts */
    EINTInit();

    /****** It's an endless loop waiting for external interrupt ******/
    /* EINT3 can be used to test the external interrupt
      It's shared with GPIO0,2 interrupts */
    while( 1 );

    return 0;
}

/******************************************************************************
**                            End Of File
******************************************************************************/
