/*****************************************************************************
 *   tmrtest.c:  main C entry file for NXP LPC17xx Family Microprocessors
 *
 *   Copyright(C) 2006, NXP Semiconductor
 *   All rights reserved.
 *
 *   History
 *   2006.09.01  ver 1.00    Prelimnary version, first Release
 *
 * Note:
 *  After power-up the controller get clock from internal RC oscillator that
 * is unstable and may fail with J-Link auto detect, therefore adaptive clocking
 * should always be used. The adaptive clock can be select from menu:
 *  Project->Options..., section Debugger->J-Link/J-Trace  JTAG Speed - Adaptive.
 *
 ******************************************************************************/
#include <nxp/iolpc1768.h>
#include "type.h"
#include "target.h"
#include "irq.h"
#include "timer.h"
#include "board.h"

extern volatile DWORD timer_counter;

/*****************************************************************************
**   Main Function  main()
*****************************************************************************/
int main (void)
{

  TargetResetInit();

  LED1_FDIR = LED1_MASK;  /* USB Link LED port output */
  LED1_FSET = LED1_MASK;  /* turn off USB Link LED */

  init_timer( TIME_INTERVAL );
  enable_timer( 0 );

  while (1)
  {         /* Loop forever */
    if ( timer_counter >= 0x20)
    {
      LED1_FIO ^= LED1_MASK;
      timer_counter = 0;
    }
  }

  return 0;
}

/*****************************************************************************
**                            End Of File
******************************************************************************/
